## graywolf 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)
project (graywolf)

INCLUDE(CheckIncludeFiles)

# Include RPATH in build so that ldconfig is not necessary after install
SET(CMAKE_SKIP_BUILD_RPATH FALSE)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)


CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/include/config-build.h)


install(DIRECTORY flow DESTINATION lib/graywolf/bin)
install(CODE "EXECUTE_PROCESS(COMMAND ln -sf flow.noroute flow WORKING_DIRECTORY ${CMAKE_INSTALL_PREFIX}/lib/graywolf/bin/flow)")

add_subdirectory(src)
add_subdirectory(script)

=== src/CMakeLists.txt ===

add_subdirectory(Ylib)
add_subdirectory(date)
add_subdirectory(twmc)
add_subdirectory(genrows)
add_subdirectory(twflow)
add_subdirectory(mincut)
add_subdirectory(twsc)
add_subdirectory(syntax)

=== src/Ylib/CMakeLists.txt ===


#add_executable(mincut main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)


add_library(ycadgraywolf SHARED assign.c buster.c cleanup.c colors.c deck.c dialog.c draw.c dset.c edcolors.c file.c getftime.c graph.c grid.c hash.c heap.c list.c log.c matrix.c menus.c message.c mst.c mytime.c okmalloc.c path.c plot.c program.c project.c queue.c quicksort.c radixsort.c rand.c rbtree.c relpath.c set.c stat.c stats.c string.c svd.c system.c time.c timer.c trans.c wgraphics.c ydebug.c yreadpar.c )

target_link_libraries(ycadgraywolf X11)
target_link_libraries(ycadgraywolf m)

set_target_properties(ycadgraywolf PROPERTIES VERSION 0.0.0 SOVERSION 0)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)

install(TARGETS ycadgraywolf DESTINATION lib)

=== src/date/CMakeLists.txt ===


add_executable(getdate getdate.c)

=== src/twmc/CMakeLists.txt ===


add_executable(TimberWolfMC acceptt.c analyze.c compact.c config1.c config2.c configpads.c debug.c finalout.c finalpin.c gmain.c findcheck.c findcost.c findloc.c findside.c fixcell.c genorient.c graphics.c initialize.c initnets.c loadbins.c main.c makebins.c makesite.c mergecell.c neworient.c newtemp.c outgeo.c outpin.c output.c overlap.c paths.c partition.c penalties.c perimeter.c placepads.c placepin.c prboard.c readcells.c readnets.c rmain.c readpar.c reconfig.c savewolf.c scrapnet.c sortpin.c selectpin.c setpwates.c sortpad.c twstats.c uaspect.c uloop.c unbust.c uinst.c unet.c upin.c upinswap.c usite1.c usite2.c usoftmove.c utemp.c watesides.c window.c wirecosts.c wireest.c wireratio.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(TimberWolfMC ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
target_link_libraries(TimberWolfMC X11)
target_link_libraries(TimberWolfMC m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS TimberWolfMC DESTINATION lib/graywolf/bin)

=== src/twsc/CMakeLists.txt ===



add_executable(TimberWolfSC acceptt.c     coarseglb.c   debug2.c    findcostf.c  globroute.c  newtemp.c   overlap.c    readcell.c   rowevener.c  sortpin.c  ucxxo1.c  upair.c buildimp.c    configpads.c  debug.c     findrcost.c  graphics.c   outcm.c     parser.c     readnets.c   savewolf.c   steiner.c  ucxxo2.c  urcost.c cell_width.c  configure.c   dimbox.c    findunlap.c  main.c       outpins1.c  paths.c      readpar.c    seagate.c    uc0.c      ucxxp.c   utemp.c cglbroute.c   countf.c      feedest.c   gateswap.c   mergeseg.c   outpins.c   placepads.c  reconfig.c   sort.c       ucxx1.c    uloop.c   xpickint.c changrid.c    crossbus.c    findcost.c  globe.c      netgraph.c   output.c    readblck.c   rmoverlap.c  sortpad.c    ucxx2.c    unlap.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(TimberWolfSC ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
target_link_libraries(TimberWolfSC X11)
target_link_libraries(TimberWolfSC m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS TimberWolfSC DESTINATION lib/graywolf/bin)

## graywolf 0.1.2

=== debian/changelog ===
graywolf (0.1.2-2) unstable; urgency=high

  * debian/rules
    - Fix "FTBFS with GCC-5" by building with "-std=gnu89"
      (Closes: #795508)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 16 Aug 2015 01:15:25 +0200

graywolf (0.1.2-1) unstable; urgency=low

  * New upstream release
    - Fixed debian/copyright
    - Removed debian/patches/03_link_library.patch applied upstream
    Closes: #789467

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 28 Jul 2015 10:07:52 +0200

graywolf (0.1.1-1) unstable; urgency=low

  * Initial release (Closes: #789467)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 22 Jul 2015 16:49:55 +0200

=== debian/control ===
Source: graywolf
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
Section: electronics
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libx11-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/graywolf.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/graywolf.git
Homepage: https://github.com/rubund/graywolf

Package: libycadgraywolf0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Library for common functions used by graywolf
 This library contains functions shared by the graywolf binaries
 found in the /usr/lib/graywolf/bin/ directory. It is actually
 an old library from Yale University which has been released
 with an GPL-2+ compatible license together with graywolf.

Package: libycadgraywolf-dev
Architecture: any
Section: libdevel
Depends: libycadgraywolf0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Library for graywolf - development files
 This library contains functions shared by the graywolf binaries
 found in the /usr/lib/graywolf/bin/ directory.
 .
 This is the development files for the library.

Package: libycadgraywolf0-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libycadgraywolf0 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: debug symbols for libycadgraywolf0
 This library contains functions shared by the graywolf binaries
 found in the /usr/lib/graywolf/bin/ directory.
 .
 This is the debug symbols for the library.

Package: graywolf
Architecture: any
Depends: libycadgraywolf0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: Placement for digital VLSI design
 This is a utility used to perform placement of digital VLSI designs. It is
 based on some code from the early 90s and it is one of the building blocks
 of the open source qflow digital design flow.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -std=gnu89

%:
	dh $@ 

override_dh_strip:
	dh_strip -plibycadgraywolf0 --keep-debug --dbg-package=libycadgraywolf0-dbg
	dh_strip -pgraywolf

## graywolf 0.1.3

=== debian/changelog ===
graywolf (0.1.3-1) unstable; urgency=low

  * New upstream release
    - Drop "-std=gnu89" since build problem fixed upstream
  * More man page content

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 01 Oct 2015 10:36:13 +0400

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,7 @@
 Depends: libycadgraywolf0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Recommends: qflow
 Description: Placement for digital VLSI design
  This is a utility used to perform placement of digital VLSI designs. It is
  based on some code from the early 90s and it is one of the building blocks

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,6 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-export DEB_CFLAGS_MAINT_APPEND = -std=gnu89
-
 %:
 	dh $@

## graywolf 0.1.4%2B20170307gite1bf319

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
 add_subdirectory(mincut)
 add_subdirectory(twsc)
 add_subdirectory(syntax)
+add_subdirectory(mc_compact)

=== src/mc_compact/CMakeLists.txt ===



add_executable(mc_compact cdraw.c      compactor.c  io.c          multi.c       stdmacro.c changraph.c  debug2.c     movestrat2.c  readcgraph.c  xcompact.c cmain.c      grid.c       movestrat.c   readtiles.c   ycompact.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(mc_compact ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS mc_compact DESTINATION lib/graywolf/bin)

=== src/mincut/CMakeLists.txt ===


add_executable(Mincut main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(Mincut ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
target_link_libraries(Mincut X11)
target_link_libraries(Mincut m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS Mincut DESTINATION lib/graywolf/bin)

=== src/syntax/CMakeLists.txt ===


add_executable(syntax main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(syntax ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
target_link_libraries(syntax X11)
target_link_libraries(syntax m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS syntax DESTINATION lib/graywolf/bin)

=== debian/rules ===
--- 
+++ 
@@ -11,5 +11,5 @@
 	dh $@ 
 
 override_dh_strip:
-	dh_strip -plibycadgraywolf0 --keep-debug --dbg-package=libycadgraywolf0-dbg
+	dh_strip -plibycadgraywolf1 --keep-debug --dbg-package=libycadgraywolf1-dbg
 	dh_strip -pgraywolf

## graywolf 0.1.4+20170307gite1bf319

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,15 @@
 cmake_minimum_required (VERSION 2.6)
 project (graywolf)
 
+find_package(PkgConfig)
 INCLUDE(CheckIncludeFiles)
+
+
+pkg_check_modules(GSL gsl)
+
+if (NOT GSL_FOUND)
+  MESSAGE(FATAL_ERROR "The development files for the GNU Scientific Library (libgsl) are required to build graywolf.")
+endif()
 
 # Include RPATH in build so that ldconfig is not necessary after install
 SET(CMAKE_SKIP_BUILD_RPATH FALSE)

=== script/CMakeLists.txt ===


add_custom_command(OUTPUT show_flows COMMAND sed 's;TWFLOWDIR;${CMAKE_INSTALL_PREFIX}/lib/graywolf;' ${CMAKE_SOURCE_DIR}/script/show_flows.in > ${CMAKE_BINARY_DIR}/script/show_flows)
add_custom_target(run ALL DEPENDS ${CMAKE_BINARY_DIR}/script/show_flows)
install(FILES ${CMAKE_BINARY_DIR}/script/show_flows DESTINATION lib/graywolf/bin PERMISSIONS OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE OWNER_READ GROUP_READ WORLD_READ OWNER_WRITE)
install(FILES splt_file.a DESTINATION lib/graywolf/bin)

=== src/Ylib/CMakeLists.txt ===


#add_executable(mincut main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)


add_library(ycadgraywolf SHARED assign.c buster.c cleanup.c colors.c deck.c dialog.c draw.c dset.c edcolors.c file.c getftime.c graph.c grid.c hash.c heap.c list.c log.c menus.c message.c mst.c mytime.c okmalloc.c path.c plot.c program.c project.c queue.c quicksort.c radixsort.c rand.c rbtree.c relpath.c set.c stat.c stats.c string.c system.c time.c timer.c trans.c wgraphics.c ydebug.c yreadpar.c )

target_link_libraries(ycadgraywolf X11)
target_link_libraries(ycadgraywolf m)

set_target_properties(ycadgraywolf PROPERTIES VERSION 1.0.0 SOVERSION 1)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include)

install(TARGETS ycadgraywolf DESTINATION lib)

=== src/genrows/CMakeLists.txt ===


add_executable(genrows draw.c genrows.c main.c merge.c readpar.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(genrows ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
target_link_libraries(genrows X11)
target_link_libraries(genrows m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS genrows DESTINATION lib/graywolf/bin)

=== src/twflow/CMakeLists.txt ===


add_executable(graywolf autoflow.c findflow.c graphics.c io.c main.c program.c readobjects.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(graywolf ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
target_link_libraries(graywolf X11)
target_link_libraries(graywolf m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS graywolf DESTINATION bin)

=== src/twmc/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 target_link_libraries(TimberWolfMC ${CMAKE_BINARY_DIR}/src/Ylib/libycadgraywolf.so)
 target_link_libraries(TimberWolfMC X11)
 target_link_libraries(TimberWolfMC m)
+target_link_libraries(TimberWolfMC ${GSL_LIBRARIES})
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

=== debian/changelog ===
graywolf (0.1.4+20170307gite1bf319-2build1) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Aug 2017 00:10:38 +0000

graywolf (0.1.4+20170307gite1bf319-2) unstable; urgency=medium

  * debian/copyright:
    - Added Staf Verhaegen (should have been added before uploading 0.1.4-1)
      (Closes: #857088)
    - Added more copyright years for Tim Edwards and Ruben Undheim

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 08 Mar 2017 09:25:41 +0100

graywolf (0.1.4+20170307gite1bf319-1) unstable; urgency=medium

  * New upstream GIT HEAD with bumped SOVERSION and major version
  * New binary package libycadgraywolf1

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 07 Mar 2017 20:40:23 +0000

graywolf (0.1.4+20170306gitecee764-1) unstable; urgency=medium

  * New upstream GIT HEAD with fixed license violation issue (Closes: #856705)
  * debian/control:
    - New build-dependencies: libgsl-dev, pkg-config
  * Updated debian/libycadgraywolf0.symbols - removed the symbols in license
    violating code.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 06 Mar 2017 20:26:57 +0000

graywolf (0.1.4-1) unstable; urgency=low

  * New upstream release
  * Use gbp-pq for patch management
  * debian/control:
    - Updated standards version to 3.9.8 - no changes
    - Use https for Vcs-Git
  * debian/patches/0004-Fixes-some-spelling-errors.patch
    - Fixes some spelling errors reported by lintian

 -- Ruben Undheim <ruben.undheim@gmail.com>  Thu, 06 Oct 2016 22:20:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 9),
                cmake,
-               libx11-dev
-Standards-Version: 3.9.6
+               pkg-config,
+               libx11-dev,
+               libgsl-dev
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/graywolf.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/graywolf.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/graywolf.git
 Homepage: https://github.com/rubund/graywolf
 
-Package: libycadgraywolf0
+Package: libycadgraywolf1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -27,7 +29,7 @@
 Package: libycadgraywolf-dev
 Architecture: any
 Section: libdevel
-Depends: libycadgraywolf0 (= ${binary:Version}),
+Depends: libycadgraywolf1 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
 Description: Library for graywolf - development files
@@ -36,14 +38,14 @@
  .
  This is the development files for the library.
 
-Package: libycadgraywolf0-dbg
+Package: libycadgraywolf1-dbg
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libycadgraywolf0 (= ${binary:Version}),
+Depends: libycadgraywolf1 (= ${binary:Version}),
          ${misc:Depends}
 Multi-Arch: same
-Description: debug symbols for libycadgraywolf0
+Description: debug symbols for libycadgraywolf1
  This library contains functions shared by the graywolf binaries
  found in the /usr/lib/graywolf/bin/ directory.
  .
@@ -51,7 +53,7 @@
 
 Package: graywolf
 Architecture: any
-Depends: libycadgraywolf0 (= ${binary:Version}),
+Depends: libycadgraywolf1 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: qflow

=== debian/watch ===
version=3
https://github.com/rubund/graywolf/releases /rubund/graywolf/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## graywolf 0.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,6 +2,7 @@
 project (graywolf)
 
 find_package(PkgConfig)
+find_package(X11)
 INCLUDE(CheckIncludeFiles)

=== src/Ylib/CMakeLists.txt ===


#add_executable(mincut main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)


add_library(ycadgraywolf SHARED assign.c buster.c cleanup.c colors.c deck.c dialog.c draw.c dset.c edcolors.c file.c getftime.c graph.c grid.c hash.c heap.c list.c log.c menus.c message.c mst.c mytime.c okmalloc.c path.c plot.c program.c project.c queue.c quicksort.c radixsort.c rand.c rbtree.c relpath.c set.c stat.c stats.c string.c system.c time.c timer.c trans.c wgraphics.c ydebug.c yreadpar.c )

target_link_libraries(ycadgraywolf ${X11_LIBRARIES})
target_link_libraries(ycadgraywolf m)

set_target_properties(ycadgraywolf PROPERTIES VERSION 1.0.0 SOVERSION 1)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include ${X11_INCLUDE_DIR})

install(TARGETS ycadgraywolf DESTINATION lib)

## graywolf 0.1.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,12 @@
-cmake_minimum_required (VERSION 2.6)
+cmake_minimum_required (VERSION 2.8.5)
 project (graywolf)
+
+enable_testing()
 
 find_package(PkgConfig)
 find_package(X11)
 INCLUDE(CheckIncludeFiles)
+include(GNUInstallDirs)
 
 
 pkg_check_modules(GSL gsl)
@@ -12,11 +15,21 @@
   MESSAGE(FATAL_ERROR "The development files for the GNU Scientific Library (libgsl) are required to build graywolf.")
 endif()
 
+if (NOT X11_FOUND)
+  MESSAGE(FATAL_ERROR "The development files for X11 (libx11-dev) are required to build graywolf.")
+endif()
+
 # Include RPATH in build so that ldconfig is not necessary after install
 SET(CMAKE_SKIP_BUILD_RPATH FALSE)
 SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
-SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
+SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_FULL_LIBDIR}")
 SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+
+MATH(EXPR SIZEOF_VOID_P_BITS "${CMAKE_SIZEOF_VOID_P}*8")
+
+# Ignore no-implicit-function-declaration warnings for now, since there are so many - and it then becomes
+# easier to see other warnings popping up.
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DSIZEOF_VOID_P=${SIZEOF_VOID_P_BITS} -Wno-implicit-function-declaration")
 
 
 CONFIGURE_FILE(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/include/config-build.h)
@@ -27,3 +40,5 @@
 
 add_subdirectory(src)
 add_subdirectory(script)
+add_subdirectory(tests)
+

=== tests/CMakeLists.txt ===
add_test(
    NAME install_in_tmp
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/install_in_tmp.sh ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR}
)
set_tests_properties(install_in_tmp PROPERTIES DEPENDS graywolf)

add_test(
    NAME map9v3
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/runtest.sh ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} map9v3
)
set_tests_properties(map9v3 PROPERTIES DEPENDS install_in_tmp)

add_test(
    NAME map9v3-twsc
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/twsc/runtest.sh ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} map9v3
)
set_tests_properties(map9v3-twsc PROPERTIES DEPENDS install_in_tmp)

add_test(
    NAME map9v3-mincut
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/mincut/runtest.sh ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} map9v3
)
set_tests_properties(map9v3-mincut PROPERTIES DEPENDS install_in_tmp)

add_test(
    NAME map9v3-twmc
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/twmc/runtest.sh ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} map9v3
)
set_tests_properties(map9v3-twmc PROPERTIES DEPENDS install_in_tmp)

add_test(
    NAME map9v3_other_seed
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/runtest.sh ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} map9v3_other_seed
)
set_tests_properties(map9v3_other_seed PROPERTIES DEPENDS install_in_tmp)

=== src/Ylib/CMakeLists.txt ===
--- 
+++ 
@@ -12,4 +12,4 @@
 
 INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include ${X11_INCLUDE_DIR})
 
-install(TARGETS ycadgraywolf DESTINATION lib)
+install(TARGETS ycadgraywolf DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== src/genrows/CMakeLists.txt ===


add_executable(genrows draw.c genrows.c main.c merge.c readpar.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(genrows ycadgraywolf)
target_link_libraries(genrows ${X11_LIBRARIES})
target_link_libraries(genrows m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS genrows DESTINATION lib/graywolf/bin)

=== src/mc_compact/CMakeLists.txt ===



add_executable(mc_compact cdraw.c      compactor.c  io.c          multi.c       stdmacro.c changraph.c  debug2.c     movestrat2.c  readcgraph.c  xcompact.c cmain.c      grid.c       movestrat.c   readtiles.c   ycompact.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(mc_compact ycadgraywolf)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS mc_compact DESTINATION lib/graywolf/bin)

=== src/mincut/CMakeLists.txt ===


add_executable(Mincut main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(Mincut ycadgraywolf)
target_link_libraries(Mincut ${X11_LIBRARIES})
target_link_libraries(Mincut m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS Mincut DESTINATION lib/graywolf/bin)

=== src/syntax/CMakeLists.txt ===


add_executable(syntax main.c output.c readcells.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(syntax ycadgraywolf)
target_link_libraries(syntax ${X11_LIBRARIES})
target_link_libraries(syntax m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS syntax DESTINATION lib/graywolf/bin)

=== src/twflow/CMakeLists.txt ===


add_executable(graywolf autoflow.c findflow.c graphics.c io.c main.c program.c readobjects.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(graywolf ycadgraywolf)
target_link_libraries(graywolf ${X11_LIBRARIES})
target_link_libraries(graywolf m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS graywolf DESTINATION bin)

=== src/twmc/CMakeLists.txt ===


add_executable(TimberWolfMC acceptt.c analyze.c compact.c config1.c config2.c configpads.c debug.c finalout.c finalpin.c gmain.c findcheck.c findcost.c findloc.c findside.c fixcell.c genorient.c graphics.c initialize.c initnets.c loadbins.c main.c makebins.c makesite.c mergecell.c neworient.c newtemp.c outgeo.c outpin.c output.c overlap.c paths.c partition.c penalties.c perimeter.c placepads.c placepin.c prboard.c readcells.c readnets.c rmain.c readpar.c reconfig.c savewolf.c scrapnet.c sortpin.c selectpin.c setpwates.c sortpad.c twstats.c uaspect.c uloop.c unbust.c uinst.c unet.c upin.c upinswap.c usite1.c usite2.c usoftmove.c utemp.c watesides.c window.c wirecosts.c wireest.c wireratio.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(TimberWolfMC ycadgraywolf)
target_link_libraries(TimberWolfMC ${X11_LIBRARIES})
target_link_libraries(TimberWolfMC m)
target_link_libraries(TimberWolfMC ${GSL_LIBRARIES})

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS TimberWolfMC DESTINATION lib/graywolf/bin)

=== src/twsc/CMakeLists.txt ===



add_executable(TimberWolfSC acceptt.c     coarseglb.c   debug2.c    findcostf.c  globroute.c  newtemp.c   overlap.c    readcell.c   rowevener.c  sortpin.c  ucxxo1.c  upair.c buildimp.c    configpads.c  debug.c     findrcost.c  graphics.c   outcm.c     parser.c     readnets.c   savewolf.c   steiner.c  ucxxo2.c  urcost.c cell_width.c  configure.c   dimbox.c    findunlap.c  main.c       outpins1.c  paths.c      readpar.c    seagate.c    uc0.c      ucxxp.c   utemp.c cglbroute.c   countf.c      feedest.c   gateswap.c   mergeseg.c   outpins.c   placepads.c  reconfig.c   sort.c       ucxx1.c    uloop.c   xpickint.c changrid.c    crossbus.c    findcost.c  globe.c      netgraph.c   output.c    readblck.c   rmoverlap.c  sortpad.c    ucxx2.c    unlap.c ${CMAKE_SOURCE_DIR}/src/date/date.c)

target_link_libraries(TimberWolfSC ycadgraywolf)
target_link_libraries(TimberWolfSC ${X11_LIBRARIES})
target_link_libraries(TimberWolfSC m)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/include ${CMAKE_BINARY_DIR}/include .)

install(TARGETS TimberWolfSC DESTINATION lib/graywolf/bin)

=== debian/changelog ===
graywolf (0.1.6-4build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:32:01 +0000

graywolf (0.1.6-4) unstable; urgency=medium

  * Fix build with GCC-10 by preventing multiple defined signals
    (Closes: #957305)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Tue, 13 Oct 2020 11:33:02 +0200

graywolf (0.1.6-3) unstable; urgency=medium

  * d/patches/0004-Disable-twmc-test-since-it-is-unreliable.patch:
    - Disable the 'twmc' test since it is unreliable on different
      architectures, compiler optimisation settings etc.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 18 Oct 2019 20:36:46 +0200

graywolf (0.1.6-2) unstable; urgency=medium

  * debian/control:
    - Build-depend on ninja-build, xvfb, xauth and xfonts-base
    - Debhelper 12
    - Standars version 4.4.0 - no changes
  * debian/gitlab-ci.yml: Enable CI on salsa
  * d/patches/0003-Run-the-test-case-within-xvfb-run-since-the-n-option.patch:
    - Run graywolf component in graphical mode during test makes the test pass
      also on i386. (Clearly some hidden bug inside there causing the
      unpredictable test result in non-graphical mode, but no time to debug
      it now)
  * debian/rules:
    - Change from -O2 to -O1 optimisation. (Closes: #925706)
      (Clearly some hidden bug inside there causing the unpredictable test
      result for optimisation level 2, but no time to debug it now)
    - Change to ninja build system
    - Re-enable test for i386

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 09 Oct 2019 16:09:25 +0200

graywolf (0.1.6-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream release
  * debian/compat: level 11
  * debian/control:
    - debhelper >= 11
    - New standards version 4.2.0 - no changes
  * debian/rules:
    - Do not run tests on x32 architecture
  * debian/tests:
    - Add autopkgtest for graywolf
  * debian/upstream/metadata added

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 12 Aug 2018 00:06:34 +0200

graywolf (0.1.5.2-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/control:
    - Added "rsync" to build-dependencies since tests
      require it when running on 64 bit architectures
  * debian/rules:
    - Define missing ${arch} in rules.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 23 Jul 2018 19:35:31 +0200

graywolf (0.1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release
    - Drop patch 04_install_directory_multiarch.patch
    - Refreshed the other patches
  * debian/rules:
    - Do not run tests on 32 bit architectures

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 20 Jul 2018 23:32:47 +0200

graywolf (0.1.5-1) unstable; urgency=medium

  * New upstream release
    - Drop patches: 0001-cfree-has-been-removed-from-glibc-2.26.patch
                    0004-Fixes-some-spelling-errors.patch
    - Fix FTBFS on kFreeBSD and Hurd - thanks James Clarke (Closes: #857093)
  * debian/control:
    - Drop libycadgraywolf1-dbg since it is handled automatically now.
    - New standards version 4.1.5 - no changes
    - VCS URLs now pointing to salsa.debian.org
  * debian/copyright:
    - Use https protocol in Format field
    - Updated some copyright years
  * debian/rules:
    - Drop overriding dh_strip since debug package is handled automatically now

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 15 Jul 2018 09:04:17 +0200

graywolf (0.1.4+20170307gite1bf319-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.26,
    thanks to Juhani Numminen. (Closes: #887760)

 -- Adrian Bunk <bunk@debian.org>  Thu, 01 Mar 2018 23:32:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,22 @@
 Source: graywolf
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 Section: electronics
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12),
                cmake,
+               ninja-build,
                pkg-config,
                libx11-dev,
-               libgsl-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/graywolf.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/graywolf.git
+               libgsl-dev,
+               xvfb,
+               xauth,
+               xfonts-base,
+               rsync
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/science-team/graywolf
+Vcs-Git: https://salsa.debian.org/science-team/graywolf.git
 Homepage: https://github.com/rubund/graywolf
 
 Package: libycadgraywolf1
@@ -38,19 +44,6 @@
  .
  This is the development files for the library.
 
-Package: libycadgraywolf1-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: libycadgraywolf1 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: debug symbols for libycadgraywolf1
- This library contains functions shared by the graywolf binaries
- found in the /usr/lib/graywolf/bin/ directory.
- .
- This is the debug symbols for the library.
-
 Package: graywolf
 Architecture: any
 Depends: libycadgraywolf1 (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_STRIP = -O2
export DEB_CXXFLAGS_STRIP = -O2
export DEB_CFLAGS_MAINT_APPEND = -O1
export DEB_CXXFLAGS_MAINT_APPEND = -O1

arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --buildsystem=cmake+ninja


# Test suite does not support 32 bit architectures at the moment
override_dh_auto_test:
	echo ${arch}
	if [ "${arch}" = "armel" ] || \
	   [ "${arch}" = "armhf" ] || \
	   [ "${arch}" = "mips" ] || \
	   [ "${arch}" = "mipsel" ] || \
	   [ "${arch}" = "x32" ] || \
	   [ "${arch}" = "s390x" ] ; then \
	   echo "Do not care of test result on this architecture" ;\
	else \
	   echo "Do run tests on this architecture" ;\
	   dh_auto_test ;\
	fi

=== debian/tests/control ===
Tests: maintest
Depends: @
